<?php
namespace Claromentis\Search\Indexing\Client;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array();
interface ClientInterface
{
    public function CreateIndex($params = []);
    public function AddMapping($type, $params);
    public function Index($type, $document_id, $document_data, $params = []);
    public function Update($type, $document_id, $document_data, $params = []);
    public function Delete($type, $document_id);
    public function DeleteByQuery($type, $query);
}